# ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p834914788/

# Define the kmod package name here.
%define kmod_name be2net

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-71.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 4.0.479.0
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.hp.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# The available src.rpm file . . .
%define asrcrpm hp-%{kmod_name}-%{version}-2.src.rpm

# . . . is in this srcdir
%define srcdir 72405

# . . . and it provides this tarball.
%define hptarball hp-%{kmod_name}-%{version}.tar.gz

# Sources.
Source0:  ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p834914788/v%{srcdir}/%{asrcrpm}
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh
Source15: elrepo-%{kmod_name}-makefile

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%{__rm} -rf *
rpm2cpio %{SOURCE0} | cpio -i 2>/dev/null
tar -zxf %{hptarball}
%{__cp} -a hp-%{kmod_name}-%{version} %{kmod_name}-%{version}
%{__rm} -rf hp-*
%{__cp} -a %{SOURCE15} %{kmod_name}-%{version}/Makefile
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD/%{kmod_name}-%{version}

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD/%{kmod_name}-%{version}
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Fri Apr 27 2012 Alan Bartlett <ajb@elrepo.org> - 4.0.479.0-1
- Updated to version 4.0.479.0

* Tue Jan 31 2012 Alan Bartlett <ajb@elrepo.org> - 4.0.359.0-1
- Initial el6 build of the kmod package.
